# Installation
> `npm install --save @types/jquery-drawer`

# Summary
This package contains type definitions for jquery-drawer (http://git.blivesta.com/drawer).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-drawer.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-drawer/index.d.ts)
````ts
// Type definitions for jquery-drawer 3.2
// Project: http://git.blivesta.com/drawer
// Definitions by: Pine Mizune <https://github.com/pine>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
// TypeScript Version: 2.3

/// <reference types="jquery" />
/// <reference types="iscroll" />

interface JQueryDrawerClassOptions {
    nav?: string | undefined;
    toggle?: string | undefined;
    overlay?: string | undefined;
    open?: string | undefined;
    close?: string | undefined;
    dropdown?: string | undefined;
}

interface JQueryDrawerOptions {
    class?: JQueryDrawerClassOptions | undefined;
    iscroll?: IScrollOptions | undefined;
    showOverlay?: boolean | undefined;
}

interface JQuery {
    drawer(options?: JQueryDrawerOptions): JQuery;
    drawer(method: 'open'|'close'|'toggle'|'destroy'): JQuery;
    on(event: 'drawer.opened'|'drawer.closed', handler: () => void): JQuery;
}

````

### Additional Details
 * Last updated: Thu, 08 Jul 2021 14:23:40 GMT
 * Dependencies: [@types/jquery](https://npmjs.com/package/@types/jquery), [@types/iscroll](https://npmjs.com/package/@types/iscroll)
 * Global values: none

# Credits
These definitions were written by [Pine Mizune](https://github.com/pine).
